@echo off
if not x%2==x goto copying
echo  ।祭  ⮬⨧樨  䨪樨  MiKTeX
echo ᨨ 1.11.  室 㪠  ⢥ ࠬ஢  
echo  ४ਨ,   ⠭ MiKTeX,  ⠪   
echo 쭮 ४ਨ, ࠭   ⠭ MiKTeX.
echo.
echo USAGE: rumiktex.bat RootDir LocalDir
echo.
echo RootDir -- Root MiKTeX directory
echo LocalDir -- Local Root MiKTeX directory
goto exit
:err1
echo Error: %1 is not Root MiKTeX directory or MiKTeX is not installed
goto exit
:err2
echo Error: %2 is not Local MiKTeX directory or MiKTeX is not installed
goto exit
:err3
echo Error: This is not RUEMTEX package. Use full version of package!
goto exit
:copying
if not exist %1\miktex\config\configure.exe goto err1
if not exist %2\miktex\fmt\plain.fmt goto err2
if not exist emtex\texinput\cyrplain\cyrtex.ini goto err3

set XC=xcopy /e/q/i emtex\
echo copying T2 (core)...
%XC%texinput\t2 %1\tex\latex\cyrillic >NUL
echo copying T2 (documentation)...
%XC%doc\t2 %1\doc\cyrillic >NUL
echo copying ruhyphen...
%XC%texinput\ruhyphen %1\tex\generic\ruhyphen >NUL
echo copying cyrplain...
%XC%texinput\cyrplain %1\tex\cyrplain >NUL
echo copying Babel...
%XC%texinput\babel %1\tex\latex\babel >NUL
move %1\tex\latex\babel\language.dat %1\tex\generic\hyphen\local >NUL
echo copying AmS-LaTeX...
%XC%texinput\amslatex %1\tex\latex\amslatex >NUL
echo copying AMS-TeX...
%XC%texinput\amstex %1\tex\amstex >NUL
echo copying LH (TeX source files)...
%XC%texinput\lh %1\source\fonts\lh >NUL
echo copying LH (MF files)...
%XC%mfinput %1\fonts\source\lh >NUL
echo creating MF header files for T2A and LCY encodings...
cd emtex\texinput\lh
call tex 12ex-la.tex >NUL
move wrk\*.mf %1\fonts\source\lh\lh-t2a >NUL
call tex 01cm-lh.tex >NUL
move wrk\*.mf %1\fonts\source\lh\lh-lcy >NUL
cd ..\..\..
echo copying LH (TFM files)...
%XC%tfm %1\fonts\tfm\lh >NUL
echo copying LH (documentation)...
%XC%doc\lh %1\doc\lh >NUL
echo copying files for BibTeX and MakeIndex...
%XC%data\rubib*.* %1\bibtex\rubibtex >NUL
%XC%data\rumki*.* %1\makeindex\rumkidx >NUL
%XC%bin\sed.exe %1\miktex\bin >NUL
echo creating BAT files...
cd emtex\bin
sed "s/tex386 -mt18000/tex/" amstex.bat >%1\miktex\bin\amstex.bat
echo s/%%EMTEXDIR%%\data/%1\bibtex\rubibtex/;s/%%EMTEXDIR%%/%1/| sed "s/\\\+/\\\\/g" >%TEMP%\tmp.sed
sed -f %TEMP%\tmp.sed rubibtex.bat >%1\miktex\bin\rubibtex.bat
echo s/%%EMTEXDIR%%\data/%1\makeindex\rumkidx/g;s/mkidx32/makeindex/| sed "s/\\\+/\\\\/g" >%TEMP%\tmp.sed
sed -f %TEMP%\tmp.sed rumkidxd.bat >%1\miktex\bin\rumkidxd.bat
sed -f %TEMP%\tmp.sed rumkidxw.bat >%1\miktex\bin\rumkidxw.bat
del %TEMP%\tmp.sed
echo  ॢ ४਩...
%1\miktex\config\configure -u
cd ..\btexfmts
if exist %1\miktex\bin\inipdftex.exe goto FMT_PDF
echo NOTE: PDFTeX not found. Will not create format files for PDFTeX.
pause
goto FMT_ALL
:FMT_PDF
inipdftex latex.ltx
ren latex.fmt pdflatex.fmt
:FMT_ALL
initex latex.ltx
initex cyrtex.ini \dump
initex cyramstx.ini
move *.fmt %2\miktex\fmt >NUL
%1\miktex\config\configure -u
echo  䨪樨 ᯥ譮 襭. Happy TeXing!
echo Mail your comments and questions to:
echo  Maxim Chernyshov -- maxel@vsau.ru
echo Vladimir Volovich -- TeX@vvv.vsu.ru
:exit
